Save Prompt Version

Save agent prompt with version tracking. - **create_new_version=True** (default): Creates a new version and updates the agent's active prompt. - **create_new_version=False**: Updates the current (or specified) version in-place.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Request

This endpoint expects an object.
instructionsstringRequired

Prompt/instructions text

descriptionstringOptionalDefaults to
Description of what changed in this version
create_new_versionbooleanOptionalDefaults to true

True = create new version, False = update current version in-place

version_numberinteger or nullOptional

Specific version to update (only when create_new_version=False)

Response

Successful Response

Errors

422
Unprocessable Entity Error